Create a new schedule
curl --request POST \
--url https://b.anny.co/api/v1/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"types": "<string>",
"attributes": {
"local_start_time": "<string>",
"local_end_time": "<string>",
"weekday": 123,
"quota": "<string>"
},
"relationships": {},
"meta": {}
}
}
'import requests
url = "https://b.anny.co/api/v1/schedules"
payload = { "data": {
"types": "<string>",
"attributes": {
"local_start_time": "<string>",
"local_end_time": "<string>",
"weekday": 123,
"quota": "<string>"
},
"relationships": {},
"meta": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
types: '<string>',
attributes: {
local_start_time: '<string>',
local_end_time: '<string>',
weekday: 123,
quota: '<string>'
},
relationships: {},
meta: {}
}
})
};
fetch('https://b.anny.co/api/v1/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "schedules",
"attributes": {
"title": "<string>",
"start_time": "<string>",
"local_start_time": "<string>",
"end_time": "<string>",
"local_end_time": "<string>",
"timezone": "<string>",
"weekday": 123,
"quota": 123
},
"links": {
"self": "<string>"
}
}
}Availability Settings
Create a new schedule
POST
/
api
/
v1
/
schedules
Create a new schedule
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Organization
Body
application/vnd.api+json
Show child attributes
Show child attributes
Antwort
201 - application/vnd.api+json
Created
A recurring weekly schedule slot defining availability for a resource.
Show child attributes
Show child attributes
⌘I